---
title: "查询订单指定的退款单"
description: "查询订单指定的退款单"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/order-management/query-order-specify-of-your-money-back-order'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/order-management/query-order-specify-of-your-money-back-order.md'
---
# 查询订单指定的退款单

查询订单指定的退款单

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /orders/:order_id/refunds/:refund_id.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `read_orders`

## Request

### Path Parameters

* `order_id`

  string (required)

  订单id

* `refund_id`

  string (required)

  退款单id

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `refund`

  object

  退款单

  * `note`

    string

    退款备注

  * `refund_line_items`

    array<object>

    退款详细信息

    * `id`

      string

      退款单号

    * `line_item_id`

      string

      商品快照表的id, 系统生成，与订单号唯一确认一个商品

    * `line_item`

      object

      商品行

      * `fulfillment_service`

        string

        物流商名称

      * `tax_lines`

        array<object>

        税费信息

      * `product_id`

        string

        spu序列号

      * `taxable`

        boolean

        是否收税

      * `vendor`

        string

        供应商

      * `fulfillment_status`

        string

        商品的发货状态， 发货状态， fulfilled-已发货; partial-部分发货； null-未发货;

      * `variant_title`

        string

        商品属性值, 多个以" / "分割, 如： “155 / 红色 / 大"

      * `price`

        string

        商品售价，精度2

      * `attribute`

        string

        商品属性：名称 - 属性值 多个以逗号", "分割 如：颜色 - 红色, 尺寸 - X

      * `sku`

        string

        商品码，barCode

      * `requires_shipping`

        boolean

        是否需要发货

      * `fulfillable_quantity`

        integer

        可发货数量

      * `variant_id`

        string

        商品sku序列号

      * `grams`

        double

        重量（克）

      * `price_set`

        object

        商品售价，多币种信息

      * `name`

        string

        sku标题,同title

      * `id`

        string

        商品快照表的id, 系统生成，与订单号唯一确认一个商品

      * `title`

        string

        商品标题

      * `quantity`

        integer

        订单中的商品数量

    * `quantity`

      integer

      数量,商品数量

    * `restock_type`

      string

      库存返还类型,no_restock-未返还，cancel-取消， return-返还

    * `subtotal`

      double

      退款金额合计，精度2

    * `total_tax`

      double

      退款商品的税额，精度2

    * `subtotal_set`

      object

      退款金额合计，多币种信息，卖家和买家侧相同

      * `presentment_money`

        object

        买家侧币种

      * `shop_money`

        object

        卖家侧金额信息

    * `total_tax_set`

      object

      总税额，多币种信息

      * `shop_money`

        object

        卖家侧币种

      * `presentment_money`

        object

        买家侧币种

  * `order_id`

    string

    订单号

  * `transactions`

    array<object>

    退款交易信息

    * `processed_at`

      string

      创建时间

    * `id`

      string

      退款id

    * `amount`

      string

      退款金额，精度2

    * `currency`

      string

      币种

    * `created_at`

      string

      创建时间

    * `kind`

      string

      交易类型（authorization， capture， sale， void， refund）

    * `user_id`

      string

      买家id

    * `order_id`

      string

      订单号

    * `status`

      string

      处理状态, pending, failure, success, and error

  * `created_at`

    string

    退款单创建时间 （格式见IOS8601）

  * `order_adjustments`

    array<object>

    调整单信息

    * `order_id`

      string

      订单号

    * `reason`

      string

      调整原因

    * `tax_amount_set`

      object

      调整单税费金额

      * `presentment_money`

        object

        店铺调整单展示税费金额

      * `shop_money`

        object

        店铺调整单税费金额

    * `amount`

      string

      调整单金额

    * `amount_set`

      object

      调整单金额

      * `presentment_money`

        object

        店铺调整展示金额

      * `shop_money`

        object

        店铺调整金额

    * `tax_amount`

      string

      调整单税费金额

    * `kind`

      string

      调整单类型

    * `refund_id`

      string

      退款单id

    * `id`

      string

      退款调整单id

  * `total_duties_set`

    object

    退款总关税

    * `presentment_money`

      object

      买家侧金额信息

      * `amount`

        string

        金额

      * `currency_code`

        string

        币种

    * `shop_money`

      object

      卖家侧金额信息

      * `currency_code`

        string

        币种

      * `amount`

        string

        金额

  * `user_id`

    string

    用户id

  * `id`

    string

    退款id

  * `processed_at`

    string

    更新时间 （格式见IOS8601）


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "description": "查询订单指定的退款单",
  "externalDocs": {
    "description": "接口使用的权限点: `read_orders` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": ""
  },
  "operationId": "vUbfUhfM",
  "parameters": [
    {
      "name": "order_id",
      "in": "path",
      "description": "订单id",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "order_id",
        "description": "订单id",
        "type": "string",
        "example": "21057168152571061289431726"
      },
      "example": "21057168152571061289431726"
    },
    {
      "name": "refund_id",
      "in": "path",
      "description": "退款单id",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "refund_id",
        "description": "退款单id",
        "type": "string",
        "example": "22057168152571061289431726"
      },
      "example": "22057168152571061289431726"
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。请参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "refund": {
                "name": "refund",
                "description": "退款单",
                "type": "object",
                "properties": {
                  "note": {
                    "name": "note",
                    "description": "退款备注",
                    "type": "string",
                    "example": "备注"
                  },
                  "refund_line_items": {
                    "name": "refund_line_items",
                    "description": "退款详细信息",
                    "type": "array",
                    "items": {
                      "name": "refund_line_items",
                      "description": "退款详细信息",
                      "type": "object",
                      "properties": {
                        "id": {
                          "name": "id",
                          "description": "退款单号",
                          "type": "string",
                          "example": "27057168152571061289431726"
                        },
                        "line_item_id": {
                          "name": "line_item_id",
                          "description": "商品快照表的id, 系统生成，与订单号唯一确认一个商品",
                          "type": "string",
                          "example": "23312553324324"
                        },
                        "line_item": {
                          "name": "line_item",
                          "description": "商品行",
                          "type": "object",
                          "properties": {
                            "fulfillment_service": {
                              "name": "fulfillment_service",
                              "description": "物流商名称",
                              "type": "string",
                              "example": "走四方"
                            },
                            "tax_lines": {
                              "name": "tax_lines",
                              "description": "税费信息",
                              "type": "array",
                              "items": {
                                "name": "tax_lines",
                                "description": "税费信息",
                                "type": "object",
                                "properties": {
                                  "title": {
                                    "name": "title",
                                    "description": "标题",
                                    "type": "string",
                                    "example": "标题"
                                  },
                                  "price": {
                                    "name": "price",
                                    "description": "税费，精度2",
                                    "type": "string",
                                    "example": "100"
                                  },
                                  "price_set": {
                                    "name": "price_set",
                                    "description": "税费多币种信息",
                                    "type": "object",
                                    "properties": {
                                      "shop_money": {
                                        "name": "shop_money",
                                        "description": "卖家侧金额信息",
                                        "type": "object",
                                        "properties": {
                                          "amount": {
                                            "name": "amount",
                                            "description": "金额",
                                            "type": "string",
                                            "example": "100"
                                          },
                                          "currency_code": {
                                            "name": "currency_code",
                                            "description": "币种",
                                            "type": "string",
                                            "example": "CNY"
                                          }
                                        },
                                        "example": {
                                          "amount": "100",
                                          "currency_code": "CNY"
                                        }
                                      },
                                      "presentment_money": {
                                        "name": "presentment_money",
                                        "description": "买家侧币种",
                                        "type": "object",
                                        "properties": {
                                          "currency_code": {
                                            "name": "currency_code",
                                            "description": "币种",
                                            "type": "string",
                                            "example": "CNY"
                                          },
                                          "amount": {
                                            "name": "amount",
                                            "description": "金额，精度2",
                                            "type": "string",
                                            "example": "100"
                                          }
                                        },
                                        "example": {
                                          "amount": "100",
                                          "currency_code": "CNY"
                                        }
                                      }
                                    },
                                    "example": {
                                      "presentment_money": {
                                        "amount": "100",
                                        "currency_code": "CNY"
                                      },
                                      "shop_money": {
                                        "amount": "100",
                                        "currency_code": "CNY"
                                      }
                                    }
                                  },
                                  "rate": {
                                    "name": "rate",
                                    "description": "税率",
                                    "type": "double",
                                    "example": 1.2
                                  }
                                },
                                "example": {
                                  "title": "标题",
                                  "price": "100",
                                  "price_set": {
                                    "presentment_money": {
                                      "currency_code": "CNY",
                                      "amount": "100"
                                    },
                                    "shop_money": {
                                      "currency_code": "CNY",
                                      "amount": "100"
                                    }
                                  },
                                  "rate": 1.2
                                }
                              },
                              "example": [
                                {
                                  "price": "100",
                                  "price_set": {
                                    "presentment_money": {
                                      "amount": "100",
                                      "currency_code": "CNY"
                                    },
                                    "shop_money": {
                                      "amount": "100",
                                      "currency_code": "CNY"
                                    }
                                  },
                                  "rate": 1.2,
                                  "title": "标题"
                                }
                              ]
                            },
                            "product_id": {
                              "name": "product_id",
                              "description": "spu序列号",
                              "type": "string",
                              "example": "18054488231146952151833534"
                            },
                            "taxable": {
                              "name": "taxable",
                              "description": "是否收税",
                              "type": "boolean",
                              "example": true
                            },
                            "vendor": {
                              "name": "vendor",
                              "description": "供应商",
                              "type": "string",
                              "example": "供应商"
                            },
                            "fulfillment_status": {
                              "name": "fulfillment_status",
                              "description": "商品的发货状态， 发货状态， fulfilled-已发货; partial-部分发货； null-未发货;",
                              "type": "string",
                              "example": "partial"
                            },
                            "variant_title": {
                              "name": "variant_title",
                              "description": "商品属性值, 多个以\" / \"分割, 如： “155 / 红色 / 大\"",
                              "type": "string",
                              "example": "155 / 红色 / 大"
                            },
                            "price": {
                              "name": "price",
                              "description": "商品售价，精度2",
                              "type": "string",
                              "example": "100"
                            },
                            "attribute": {
                              "name": "attribute",
                              "description": "商品属性：名称 - 属性值 多个以逗号\", \"分割 如：颜色 - 红色, 尺寸 - X",
                              "type": "string",
                              "example": "尺寸 - X"
                            },
                            "sku": {
                              "name": "sku",
                              "description": "商品码，barCode",
                              "type": "string",
                              "example": "18054488231146952151833534"
                            },
                            "requires_shipping": {
                              "name": "requires_shipping",
                              "description": "是否需要发货",
                              "type": "boolean",
                              "example": true
                            },
                            "fulfillable_quantity": {
                              "name": "fulfillable_quantity",
                              "description": "可发货数量",
                              "type": "integer",
                              "example": 1
                            },
                            "variant_id": {
                              "name": "variant_id",
                              "description": "商品sku序列号",
                              "type": "string",
                              "example": "18054488231146952151833534"
                            },
                            "grams": {
                              "name": "grams",
                              "description": "重量（克）",
                              "type": "double",
                              "example": 1.2
                            },
                            "price_set": {
                              "name": "price_set",
                              "description": "商品售价，多币种信息",
                              "type": "object",
                              "properties": {
                                "shop_money": {
                                  "name": "shop_money",
                                  "description": "卖家侧币种",
                                  "type": "object",
                                  "properties": {
                                    "amount": {
                                      "name": "amount",
                                      "description": "金额",
                                      "type": "string",
                                      "example": ""
                                    },
                                    "currency_code": {
                                      "name": "currency_code",
                                      "description": "币种",
                                      "type": "string",
                                      "example": ""
                                    }
                                  },
                                  "example": {
                                    "amount": "",
                                    "currency_code": ""
                                  }
                                },
                                "presentment_money": {
                                  "name": "presentment_money",
                                  "description": "买家侧币种",
                                  "type": "object",
                                  "properties": {
                                    "amount": {
                                      "name": "amount",
                                      "description": "金额",
                                      "type": "string",
                                      "example": ""
                                    },
                                    "currency_code": {
                                      "name": "currency_code",
                                      "description": "币种",
                                      "type": "string",
                                      "example": ""
                                    }
                                  },
                                  "example": {
                                    "currency_code": "",
                                    "amount": ""
                                  }
                                }
                              },
                              "example": {
                                "presentment_money": {
                                  "amount": "",
                                  "currency_code": ""
                                },
                                "shop_money": {
                                  "amount": "",
                                  "currency_code": ""
                                }
                              }
                            },
                            "name": {
                              "name": "name",
                              "description": "sku标题,同title",
                              "type": "string",
                              "example": "sku标题"
                            },
                            "id": {
                              "name": "id",
                              "description": "商品快照表的id, 系统生成，与订单号唯一确认一个商品",
                              "type": "string",
                              "example": "2655436734527560"
                            },
                            "title": {
                              "name": "title",
                              "description": "商品标题",
                              "type": "string",
                              "example": "商品标题"
                            },
                            "quantity": {
                              "name": "quantity",
                              "description": "订单中的商品数量",
                              "type": "integer",
                              "example": 1
                            }
                          },
                          "example": {
                            "product_id": "18054488231146952151833534",
                            "variant_id": "18054488231146952151833534",
                            "name": "sku标题",
                            "price": "100",
                            "fulfillable_quantity": 1,
                            "grams": 1.2,
                            "sku": "18054488231146952151833534",
                            "fulfillment_status": "partial",
                            "id": "2655436734527560",
                            "vendor": "供应商",
                            "fulfillment_service": "走四方",
                            "attribute": "尺寸 - X",
                            "tax_lines": [
                              {
                                "title": "标题",
                                "price": "100",
                                "price_set": {
                                  "shop_money": {
                                    "amount": "100",
                                    "currency_code": "CNY"
                                  },
                                  "presentment_money": {
                                    "currency_code": "CNY",
                                    "amount": "100"
                                  }
                                },
                                "rate": 1.2
                              }
                            ],
                            "price_set": {
                              "presentment_money": {
                                "amount": "",
                                "currency_code": ""
                              },
                              "shop_money": {
                                "amount": "",
                                "currency_code": ""
                              }
                            },
                            "taxable": true,
                            "quantity": 1,
                            "requires_shipping": true,
                            "variant_title": "155 / 红色 / 大",
                            "title": "商品标题"
                          }
                        },
                        "quantity": {
                          "name": "quantity",
                          "description": "数量,商品数量",
                          "type": "integer",
                          "example": 1
                        },
                        "restock_type": {
                          "name": "restock_type",
                          "description": "库存返还类型,no_restock-未返还，cancel-取消， return-返还",
                          "type": "string",
                          "example": "no_restock"
                        },
                        "subtotal": {
                          "name": "subtotal",
                          "description": "退款金额合计，精度2",
                          "type": "double",
                          "example": 100
                        },
                        "total_tax": {
                          "name": "total_tax",
                          "description": "退款商品的税额，精度2",
                          "type": "double",
                          "example": 100
                        },
                        "subtotal_set": {
                          "name": "subtotal_set",
                          "description": "退款金额合计，多币种信息，卖家和买家侧相同",
                          "type": "object",
                          "properties": {
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "买家侧币种",
                              "type": "object",
                              "properties": {
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "币种",
                                  "type": "string",
                                  "example": "CNY"
                                },
                                "amount": {
                                  "name": "amount",
                                  "description": "金额",
                                  "type": "string",
                                  "example": "100"
                                }
                              },
                              "example": {
                                "amount": "100",
                                "currency_code": "CNY"
                              }
                            },
                            "shop_money": {
                              "name": "shop_money",
                              "description": "卖家侧金额信息",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "金额",
                                  "type": "string",
                                  "example": "100"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "币种",
                                  "type": "string",
                                  "example": "CNY"
                                }
                              },
                              "example": {
                                "amount": "100",
                                "currency_code": "CNY"
                              }
                            }
                          },
                          "example": {
                            "presentment_money": {
                              "amount": "100",
                              "currency_code": "CNY"
                            },
                            "shop_money": {
                              "amount": "100",
                              "currency_code": "CNY"
                            }
                          }
                        },
                        "total_tax_set": {
                          "name": "total_tax_set",
                          "description": "总税额，多币种信息",
                          "type": "object",
                          "properties": {
                            "shop_money": {
                              "name": "shop_money",
                              "description": "卖家侧币种",
                              "type": "object",
                              "properties": {
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "币种",
                                  "type": "string",
                                  "example": "CNY"
                                },
                                "amount": {
                                  "name": "amount",
                                  "description": "金额",
                                  "type": "string",
                                  "example": "100"
                                }
                              },
                              "example": {
                                "amount": "100",
                                "currency_code": "CNY"
                              }
                            },
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "买家侧币种",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "金额",
                                  "type": "string",
                                  "example": "100"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "币种",
                                  "type": "string",
                                  "example": "CNY"
                                }
                              },
                              "example": {
                                "currency_code": "CNY",
                                "amount": "100"
                              }
                            }
                          },
                          "example": {
                            "presentment_money": {
                              "amount": "100",
                              "currency_code": "CNY"
                            },
                            "shop_money": {
                              "amount": "100",
                              "currency_code": "CNY"
                            }
                          }
                        }
                      },
                      "example": {
                        "restock_type": "no_restock",
                        "quantity": 1,
                        "line_item": {
                          "id": "2655436734527560",
                          "fulfillable_quantity": 1,
                          "attribute": "尺寸 - X",
                          "product_id": "18054488231146952151833534",
                          "name": "sku标题",
                          "requires_shipping": true,
                          "title": "商品标题",
                          "grams": 1.2,
                          "price_set": {
                            "presentment_money": {
                              "amount": "",
                              "currency_code": ""
                            },
                            "shop_money": {
                              "amount": "",
                              "currency_code": ""
                            }
                          },
                          "taxable": true,
                          "variant_id": "18054488231146952151833534",
                          "variant_title": "155 / 红色 / 大",
                          "quantity": 1,
                          "vendor": "供应商",
                          "sku": "18054488231146952151833534",
                          "fulfillment_status": "partial",
                          "price": "100",
                          "tax_lines": [
                            {
                              "title": "标题",
                              "price": "100",
                              "price_set": {
                                "presentment_money": {
                                  "amount": "100",
                                  "currency_code": "CNY"
                                },
                                "shop_money": {
                                  "currency_code": "CNY",
                                  "amount": "100"
                                }
                              },
                              "rate": 1.2
                            }
                          ],
                          "fulfillment_service": "走四方"
                        },
                        "subtotal_set": {
                          "presentment_money": {
                            "currency_code": "CNY",
                            "amount": "100"
                          },
                          "shop_money": {
                            "amount": "100",
                            "currency_code": "CNY"
                          }
                        },
                        "id": "27057168152571061289431726",
                        "subtotal": 100,
                        "total_tax_set": {
                          "presentment_money": {
                            "amount": "100",
                            "currency_code": "CNY"
                          },
                          "shop_money": {
                            "amount": "100",
                            "currency_code": "CNY"
                          }
                        },
                        "total_tax": 100,
                        "line_item_id": "23312553324324"
                      }
                    },
                    "example": [
                      {
                        "total_tax_set": {
                          "presentment_money": {
                            "amount": "100",
                            "currency_code": "CNY"
                          },
                          "shop_money": {
                            "amount": "100",
                            "currency_code": "CNY"
                          }
                        },
                        "line_item_id": "23312553324324",
                        "quantity": 1,
                        "id": "27057168152571061289431726",
                        "total_tax": 100,
                        "line_item": {
                          "taxable": true,
                          "price_set": {
                            "presentment_money": {
                              "amount": "",
                              "currency_code": ""
                            },
                            "shop_money": {
                              "currency_code": "",
                              "amount": ""
                            }
                          },
                          "attribute": "尺寸 - X",
                          "fulfillment_status": "partial",
                          "requires_shipping": true,
                          "tax_lines": [
                            {
                              "rate": 1.2,
                              "title": "标题",
                              "price": "100",
                              "price_set": {
                                "presentment_money": {
                                  "amount": "100",
                                  "currency_code": "CNY"
                                },
                                "shop_money": {
                                  "currency_code": "CNY",
                                  "amount": "100"
                                }
                              }
                            }
                          ],
                          "vendor": "供应商",
                          "grams": 1.2,
                          "sku": "18054488231146952151833534",
                          "name": "sku标题",
                          "product_id": "18054488231146952151833534",
                          "fulfillable_quantity": 1,
                          "id": "2655436734527560",
                          "fulfillment_service": "走四方",
                          "title": "商品标题",
                          "price": "100",
                          "variant_id": "18054488231146952151833534",
                          "variant_title": "155 / 红色 / 大",
                          "quantity": 1
                        },
                        "restock_type": "no_restock",
                        "subtotal": 100,
                        "subtotal_set": {
                          "shop_money": {
                            "amount": "100",
                            "currency_code": "CNY"
                          },
                          "presentment_money": {
                            "amount": "100",
                            "currency_code": "CNY"
                          }
                        }
                      }
                    ]
                  },
                  "order_id": {
                    "name": "order_id",
                    "description": "订单号",
                    "type": "string",
                    "example": "21057168152571061289431726"
                  },
                  "transactions": {
                    "name": "transactions",
                    "description": "退款交易信息",
                    "type": "array",
                    "items": {
                      "name": "transactions",
                      "description": "退款交易信息",
                      "type": "object",
                      "properties": {
                        "processed_at": {
                          "name": "processed_at",
                          "description": "创建时间",
                          "type": "string",
                          "example": "2022-10-03T12:44:45-04:00"
                        },
                        "id": {
                          "name": "id",
                          "description": "退款id",
                          "type": "string",
                          "example": "10100112220607455014540963840"
                        },
                        "amount": {
                          "name": "amount",
                          "description": "退款金额，精度2",
                          "type": "string",
                          "example": "100"
                        },
                        "currency": {
                          "name": "currency",
                          "description": "币种",
                          "type": "string",
                          "example": "CNY"
                        },
                        "created_at": {
                          "name": "created_at",
                          "description": "创建时间",
                          "type": "string",
                          "example": "2022-10-03T12:44:45-04:00"
                        },
                        "kind": {
                          "name": "kind",
                          "description": "交易类型（authorization， capture， sale， void， refund）",
                          "type": "string",
                          "example": "refund"
                        },
                        "user_id": {
                          "name": "user_id",
                          "description": "买家id",
                          "type": "string",
                          "example": "\"4323434"
                        },
                        "order_id": {
                          "name": "order_id",
                          "description": "订单号",
                          "type": "string",
                          "example": "21056836827909126061559008"
                        },
                        "status": {
                          "name": "status",
                          "description": "处理状态, pending, failure, success, and error",
                          "type": "string",
                          "example": "success"
                        }
                      },
                      "example": {
                        "amount": "100",
                        "created_at": "2022-10-03T12:44:45-04:00",
                        "user_id": "\"4323434",
                        "currency": "CNY",
                        "kind": "refund",
                        "processed_at": "2022-10-03T12:44:45-04:00",
                        "id": "10100112220607455014540963840",
                        "status": "success",
                        "order_id": "21056836827909126061559008"
                      }
                    },
                    "example": [
                      {
                        "amount": "100",
                        "id": "10100112220607455014540963840",
                        "order_id": "21056836827909126061559008",
                        "created_at": "2022-10-03T12:44:45-04:00",
                        "kind": "refund",
                        "processed_at": "2022-10-03T12:44:45-04:00",
                        "user_id": "\"4323434",
                        "status": "success",
                        "currency": "CNY"
                      }
                    ]
                  },
                  "created_at": {
                    "name": "created_at",
                    "description": "退款单创建时间 （格式见IOS8601）",
                    "type": "string",
                    "example": "2022-10-03T12:44:45-04:00"
                  },
                  "order_adjustments": {
                    "name": "order_adjustments",
                    "description": "调整单信息",
                    "type": "array",
                    "items": {
                      "name": "order_adjustments",
                      "description": "调整单信息",
                      "type": "object",
                      "properties": {
                        "order_id": {
                          "name": "order_id",
                          "description": "订单号",
                          "type": "string",
                          "example": "21057168152571061289431726"
                        },
                        "reason": {
                          "name": "reason",
                          "description": "调整原因",
                          "type": "string",
                          "example": "reason msg"
                        },
                        "tax_amount_set": {
                          "name": "tax_amount_set",
                          "description": "调整单税费金额",
                          "type": "object",
                          "properties": {
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "店铺调整单展示税费金额",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "店铺调整单展示税费金额",
                                  "type": "double",
                                  "example": 9.9
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "店铺调整单展示税费币种",
                                  "type": "string",
                                  "example": "CNY"
                                }
                              },
                              "example": {
                                "currency_code": "CNY",
                                "amount": 9.9
                              }
                            },
                            "shop_money": {
                              "name": "shop_money",
                              "description": "店铺调整单税费金额",
                              "type": "object",
                              "properties": {
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "店铺调整单税费币种",
                                  "type": "string",
                                  "example": "CNY"
                                },
                                "amount": {
                                  "name": "amount",
                                  "description": "店铺调整单税费金额",
                                  "type": "double",
                                  "example": 9.9
                                }
                              },
                              "example": {
                                "amount": 9.9,
                                "currency_code": "CNY"
                              }
                            }
                          },
                          "example": {
                            "shop_money": {
                              "currency_code": "CNY",
                              "amount": 9.9
                            },
                            "presentment_money": {
                              "amount": 9.9,
                              "currency_code": "CNY"
                            }
                          }
                        },
                        "amount": {
                          "name": "amount",
                          "description": "调整单金额",
                          "type": "string",
                          "example": "100"
                        },
                        "amount_set": {
                          "name": "amount_set",
                          "description": "调整单金额",
                          "type": "object",
                          "properties": {
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "店铺调整展示金额",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "店铺调整展示金额",
                                  "type": "double",
                                  "example": 100
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "店铺调整展示金额币种",
                                  "type": "string",
                                  "example": "CNY"
                                }
                              },
                              "example": {
                                "currency_code": "CNY",
                                "amount": 100
                              }
                            },
                            "shop_money": {
                              "name": "shop_money",
                              "description": "店铺调整金额",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "店铺调整金额",
                                  "type": "double",
                                  "example": 100
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "店铺调整金额币种",
                                  "type": "string",
                                  "example": "CYN"
                                }
                              },
                              "example": {
                                "amount": 100,
                                "currency_code": "CYN"
                              }
                            }
                          },
                          "example": {
                            "shop_money": {
                              "amount": 100,
                              "currency_code": "CYN"
                            },
                            "presentment_money": {
                              "amount": 100,
                              "currency_code": "CNY"
                            }
                          }
                        },
                        "tax_amount": {
                          "name": "tax_amount",
                          "description": "调整单税费金额",
                          "type": "string",
                          "example": "100"
                        },
                        "kind": {
                          "name": "kind",
                          "description": "调整单类型",
                          "type": "string",
                          "example": "shipping_refund"
                        },
                        "refund_id": {
                          "name": "refund_id",
                          "description": "退款单id",
                          "type": "string",
                          "example": "27057168152571061289431726"
                        },
                        "id": {
                          "name": "id",
                          "description": "退款调整单id",
                          "type": "string",
                          "example": "2309123221222208434"
                        }
                      },
                      "example": {
                        "id": "2309123221222208434",
                        "tax_amount_set": {
                          "presentment_money": {
                            "currency_code": "CNY",
                            "amount": 9.9
                          },
                          "shop_money": {
                            "amount": 9.9,
                            "currency_code": "CNY"
                          }
                        },
                        "order_id": "21057168152571061289431726",
                        "amount_set": {
                          "presentment_money": {
                            "currency_code": "CNY",
                            "amount": 100
                          },
                          "shop_money": {
                            "currency_code": "CYN",
                            "amount": 100
                          }
                        },
                        "tax_amount": "100",
                        "amount": "100",
                        "reason": "reason msg",
                        "kind": "shipping_refund",
                        "refund_id": "27057168152571061289431726"
                      }
                    },
                    "example": [
                      {
                        "kind": "shipping_refund",
                        "amount": "100",
                        "reason": "reason msg",
                        "refund_id": "27057168152571061289431726",
                        "tax_amount_set": {
                          "presentment_money": {
                            "currency_code": "CNY",
                            "amount": 9.9
                          },
                          "shop_money": {
                            "amount": 9.9,
                            "currency_code": "CNY"
                          }
                        },
                        "amount_set": {
                          "presentment_money": {
                            "amount": 100,
                            "currency_code": "CNY"
                          },
                          "shop_money": {
                            "currency_code": "CYN",
                            "amount": 100
                          }
                        },
                        "order_id": "21057168152571061289431726",
                        "tax_amount": "100",
                        "id": "2309123221222208434"
                      }
                    ]
                  },
                  "total_duties_set": {
                    "name": "total_duties_set",
                    "description": "退款总关税",
                    "type": "object",
                    "properties": {
                      "presentment_money": {
                        "name": "presentment_money",
                        "description": "买家侧金额信息",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "金额",
                            "type": "string",
                            "example": ""
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "币种",
                            "type": "string",
                            "example": ""
                          }
                        },
                        "example": {
                          "amount": "",
                          "currency_code": ""
                        }
                      },
                      "shop_money": {
                        "name": "shop_money",
                        "description": "卖家侧金额信息",
                        "type": "object",
                        "properties": {
                          "currency_code": {
                            "name": "currency_code",
                            "description": "币种",
                            "type": "string",
                            "example": ""
                          },
                          "amount": {
                            "name": "amount",
                            "description": "金额",
                            "type": "string",
                            "example": ""
                          }
                        },
                        "example": {
                          "amount": "",
                          "currency_code": ""
                        }
                      }
                    },
                    "example": {
                      "presentment_money": {
                        "amount": "",
                        "currency_code": ""
                      },
                      "shop_money": {
                        "currency_code": "",
                        "amount": ""
                      }
                    }
                  },
                  "user_id": {
                    "name": "user_id",
                    "description": "用户id",
                    "type": "string",
                    "example": "16576456"
                  },
                  "id": {
                    "name": "id",
                    "description": "退款id",
                    "type": "string",
                    "example": "SL201AS4571669738589065294"
                  },
                  "processed_at": {
                    "name": "processed_at",
                    "description": "更新时间 （格式见IOS8601）",
                    "type": "string",
                    "example": "2022-10-03T12:44:45-04:00"
                  }
                },
                "example": {
                  "id": "SL201AS4571669738589065294",
                  "transactions": [
                    {
                      "created_at": "2022-10-03T12:44:45-04:00",
                      "id": "10100112220607455014540963840",
                      "user_id": "\"4323434",
                      "currency": "CNY",
                      "kind": "refund",
                      "order_id": "21056836827909126061559008",
                      "amount": "100",
                      "processed_at": "2022-10-03T12:44:45-04:00",
                      "status": "success"
                    }
                  ],
                  "order_adjustments": [
                    {
                      "amount_set": {
                        "shop_money": {
                          "amount": 100,
                          "currency_code": "CYN"
                        },
                        "presentment_money": {
                          "amount": 100,
                          "currency_code": "CNY"
                        }
                      },
                      "amount": "100",
                      "id": "2309123221222208434",
                      "order_id": "21057168152571061289431726",
                      "refund_id": "27057168152571061289431726",
                      "reason": "reason msg",
                      "kind": "shipping_refund",
                      "tax_amount": "100",
                      "tax_amount_set": {
                        "shop_money": {
                          "currency_code": "CNY",
                          "amount": 9.9
                        },
                        "presentment_money": {
                          "amount": 9.9,
                          "currency_code": "CNY"
                        }
                      }
                    }
                  ],
                  "total_duties_set": {
                    "shop_money": {
                      "amount": "",
                      "currency_code": ""
                    },
                    "presentment_money": {
                      "currency_code": "",
                      "amount": ""
                    }
                  },
                  "order_id": "21057168152571061289431726",
                  "note": "备注",
                  "processed_at": "2022-10-03T12:44:45-04:00",
                  "created_at": "2022-10-03T12:44:45-04:00",
                  "refund_line_items": [
                    {
                      "total_tax": 100,
                      "line_item": {
                        "title": "商品标题",
                        "fulfillment_service": "走四方",
                        "price_set": {
                          "presentment_money": {
                            "currency_code": "",
                            "amount": ""
                          },
                          "shop_money": {
                            "amount": "",
                            "currency_code": ""
                          }
                        },
                        "id": "2655436734527560",
                        "sku": "18054488231146952151833534",
                        "taxable": true,
                        "product_id": "18054488231146952151833534",
                        "attribute": "尺寸 - X",
                        "fulfillable_quantity": 1,
                        "fulfillment_status": "partial",
                        "grams": 1.2,
                        "requires_shipping": true,
                        "variant_title": "155 / 红色 / 大",
                        "variant_id": "18054488231146952151833534",
                        "vendor": "供应商",
                        "price": "100",
                        "quantity": 1,
                        "name": "sku标题",
                        "tax_lines": [
                          {
                            "price": "100",
                            "price_set": {
                              "shop_money": {
                                "amount": "100",
                                "currency_code": "CNY"
                              },
                              "presentment_money": {
                                "currency_code": "CNY",
                                "amount": "100"
                              }
                            },
                            "rate": 1.2,
                            "title": "标题"
                          }
                        ]
                      },
                      "subtotal": 100,
                      "subtotal_set": {
                        "presentment_money": {
                          "amount": "100",
                          "currency_code": "CNY"
                        },
                        "shop_money": {
                          "amount": "100",
                          "currency_code": "CNY"
                        }
                      },
                      "quantity": 1,
                      "total_tax_set": {
                        "presentment_money": {
                          "amount": "100",
                          "currency_code": "CNY"
                        },
                        "shop_money": {
                          "amount": "100",
                          "currency_code": "CNY"
                        }
                      },
                      "line_item_id": "23312553324324",
                      "id": "27057168152571061289431726",
                      "restock_type": "no_restock"
                    }
                  ],
                  "user_id": "16576456"
                }
              }
            },
            "example": {
              "refund": {
                "processed_at": "2022-10-03T12:44:45-04:00",
                "refund_line_items": [
                  {
                    "total_tax_set": {
                      "presentment_money": {
                        "amount": "100",
                        "currency_code": "CNY"
                      },
                      "shop_money": {
                        "amount": "100",
                        "currency_code": "CNY"
                      }
                    },
                    "line_item": {
                      "requires_shipping": true,
                      "variant_title": "155 / 红色 / 大",
                      "fulfillment_status": "partial",
                      "vendor": "供应商",
                      "variant_id": "18054488231146952151833534",
                      "attribute": "尺寸 - X",
                      "name": "sku标题",
                      "price_set": {
                        "presentment_money": {
                          "amount": "",
                          "currency_code": ""
                        },
                        "shop_money": {
                          "amount": "",
                          "currency_code": ""
                        }
                      },
                      "tax_lines": [
                        {
                          "price_set": {
                            "presentment_money": {
                              "currency_code": "CNY",
                              "amount": "100"
                            },
                            "shop_money": {
                              "amount": "100",
                              "currency_code": "CNY"
                            }
                          },
                          "rate": 1.2,
                          "title": "标题",
                          "price": "100"
                        }
                      ],
                      "product_id": "18054488231146952151833534",
                      "title": "商品标题",
                      "quantity": 1,
                      "price": "100",
                      "fulfillment_service": "走四方",
                      "id": "2655436734527560",
                      "fulfillable_quantity": 1,
                      "grams": 1.2,
                      "taxable": true,
                      "sku": "18054488231146952151833534"
                    },
                    "quantity": 1,
                    "subtotal_set": {
                      "presentment_money": {
                        "amount": "100",
                        "currency_code": "CNY"
                      },
                      "shop_money": {
                        "currency_code": "CNY",
                        "amount": "100"
                      }
                    },
                    "id": "27057168152571061289431726",
                    "line_item_id": "23312553324324",
                    "total_tax": 100,
                    "restock_type": "no_restock",
                    "subtotal": 100
                  }
                ],
                "user_id": "16576456",
                "transactions": [
                  {
                    "order_id": "21056836827909126061559008",
                    "user_id": "\"4323434",
                    "amount": "100",
                    "status": "success",
                    "id": "10100112220607455014540963840",
                    "currency": "CNY",
                    "created_at": "2022-10-03T12:44:45-04:00",
                    "kind": "refund",
                    "processed_at": "2022-10-03T12:44:45-04:00"
                  }
                ],
                "note": "备注",
                "order_adjustments": [
                  {
                    "order_id": "21057168152571061289431726",
                    "amount_set": {
                      "shop_money": {
                        "amount": 100,
                        "currency_code": "CYN"
                      },
                      "presentment_money": {
                        "amount": 100,
                        "currency_code": "CNY"
                      }
                    },
                    "tax_amount_set": {
                      "shop_money": {
                        "amount": 9.9,
                        "currency_code": "CNY"
                      },
                      "presentment_money": {
                        "amount": 9.9,
                        "currency_code": "CNY"
                      }
                    },
                    "amount": "100",
                    "kind": "shipping_refund",
                    "tax_amount": "100",
                    "refund_id": "27057168152571061289431726",
                    "reason": "reason msg",
                    "id": "2309123221222208434"
                  }
                ],
                "order_id": "21057168152571061289431726",
                "total_duties_set": {
                  "presentment_money": {
                    "amount": "",
                    "currency_code": ""
                  },
                  "shop_money": {
                    "amount": "",
                    "currency_code": ""
                  }
                },
                "created_at": "2022-10-03T12:44:45-04:00",
                "id": "SL201AS4571669738589065294"
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/orders/:order_id/refunds/:refund_id.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。"
        }
      }
    }
  ],
  "info": {
    "title": "查询订单指定的退款单",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_orders"
  ]
}
```